## ros-lunar-pgm-learner 2.1.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pgm_learner)

find_package(catkin REQUIRED COMPONENTS
  message_generation
  std_msgs
  rospy
)

catkin_python_setup()

add_message_files(
  FILES
  ConditionalProbability.msg
  GraphStructure.msg
  GraphEdge.msg
  DiscreteNode.msg
  DiscreteGraphState.msg
  DiscreteNodeState.msg
  LinearGaussianNode.msg
  LinearGaussianGraphState.msg
  LinearGaussianNodeState.msg
)

add_service_files(
  FILES
  DiscreteQuery.srv
  DiscreteParameterEstimation.srv
  DiscreteStructureEstimation.srv
  LinearGaussianParameterEstimation.srv
  LinearGaussianStructureEstimation.srv
)

generate_messages(
  DEPENDENCIES
  std_msgs
)

catkin_package()

install(
  DIRECTORY launch sample scripts
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
)

if(CATKIN_ENABLE_TESTING)
  find_package(catkin REQUIRED COMPONENTS rostest)
  add_rostest(test/test_discrete_bn.test)
  add_rostest(test/test_lg_bn.test)
endif()

=== debian/changelog ===
ros-lunar-pgm-learner (2.1.11-2stretch) stretch; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Tue, 28 Aug 2018 15:00:00 -0000

ros-lunar-pgm-learner (2.1.10-2stretch) stretch; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Tue, 24 Apr 2018 15:00:00 -0000

ros-lunar-pgm-learner (2.1.9-2stretch) stretch; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Mon, 23 Apr 2018 15:00:00 -0000

ros-lunar-pgm-learner (2.1.8-2stretch) stretch; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Mon, 16 Apr 2018 15:00:00 -0000

ros-lunar-pgm-learner (2.1.7-2stretch) stretch; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sun, 08 Apr 2018 15:00:00 -0000

ros-lunar-pgm-learner (2.1.6-2stretch) stretch; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Mon, 20 Nov 2017 15:00:00 -0000

ros-lunar-pgm-learner (2.1.5-2stretch) stretch; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sun, 19 Nov 2017 15:00:00 -0000

ros-lunar-pgm-learner (2.1.4-2stretch) stretch; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sat, 15 Jul 2017 15:00:00 -0000

ros-lunar-pgm-learner (2.1.3-2stretch) stretch; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 06 Jul 2017 15:00:00 -0000

ros-lunar-pgm-learner (2.1.2-2stretch) stretch; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 05 Jul 2017 15:00:00 -0000

ros-lunar-pgm-learner (2.1.1-2stretch) stretch; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Tue, 04 Jul 2017 15:00:00 -0000

ros-lunar-pgm-learner (2.1.0-2stretch) stretch; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sat, 01 Jul 2017 15:00:00 -0000

ros-lunar-pgm-learner (2.0.20-2stretch) stretch; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Mon, 08 May 2017 15:00:00 -0000

ros-lunar-pgm-learner (2.0.19-2stretch) stretch; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Tue, 21 Feb 2017 15:00:00 -0000

ros-lunar-pgm-learner (2.0.18-2stretch) stretch; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Thu, 27 Oct 2016 15:00:00 -0000

ros-lunar-pgm-learner (2.0.17-2stretch) stretch; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Fri, 21 Oct 2016 15:00:00 -0000

ros-lunar-pgm-learner (2.0.16-2stretch) stretch; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sun, 16 Oct 2016 15:00:00 -0000

ros-lunar-pgm-learner (2.0.15-2stretch) stretch; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sat, 15 Oct 2016 15:00:00 -0000

ros-lunar-pgm-learner (2.0.14-2stretch) stretch; urgency=high

  * add depends to python-scipy
  * Contributors: Kei Okada

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sat, 19 Mar 2016 15:00:00 -0000

ros-lunar-pgm-learner (2.0.13-2stretch) stretch; urgency=high

  * [pgm_learner] Depends on rostest
    closes #46 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/46>
    Modified:
    pgm_learner/package.xml
  * Contributors: Kei Okada, Ryohei Ueda

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Mon, 14 Dec 2015 15:00:00 -0000

ros-lunar-pgm-learner (2.0.12-2stretch) stretch; urgency=high

  * pgm_learner/package.xml : bad version number
  * [pgm_learner/euslisp/*-sample.l] refactor sample lisp codes
    [pgm_learner/euslisp/pgm-learner-client.l] add graph visualization for lg bayesian graph
  * [pgm_learner/scripts/pgm_learner_server.py] add debug logging
  * [pgm_learner/README.md] remove achieved TODO
  * [pgm_learner/euslisp/pgm-learner-client.l] add graph visualization of lg-bayesian-graph
  * [pgm_learner/euslisp/pgm-learner-client.l] fix: use remove-duplicates to fetch unique node names instead of unique
  * [pgm_learner/euslisp/pgm-learner-client.l] disable validation
  * [pgm_learner] add pgm_learner package
  * Contributors: Yuki Furuta, Kei Okada

 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 25 Nov 2015 15:00:00 -0000

ros-lunar-pgm-learner (2.0.11-2stretch) stretch; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 07 Oct 2015 05:16:00 -0000

ros-lunar-pgm-learner (2.0.10-2stretch) stretch; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Wed, 07 Oct 2015 03:47:00 -0000

ros-lunar-pgm-learner (2.0.9-2stretch) stretch; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Fri, 25 Sep 2015 15:00:00 -0000

ros-lunar-pgm-learner (2.0.8-2stretch) stretch; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Mon, 14 Sep 2015 15:00:00 -0000

ros-lunar-pgm-learner (2.0.7-2stretch) stretch; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sun, 13 Sep 2015 15:00:00 -0000

ros-lunar-pgm-learner (2.0.6-2stretch) stretch; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Mon, 07 Sep 2015 15:00:00 -0000

ros-lunar-pgm-learner (2.0.5-2stretch) stretch; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sat, 22 Aug 2015 15:00:00 -0000

ros-lunar-pgm-learner (2.0.4-2stretch) stretch; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Mon, 17 Aug 2015 15:00:00 -0000

ros-lunar-pgm-learner (2.0.3-2stretch) stretch; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Fri, 31 Jul 2015 15:00:00 -0000

ros-lunar-pgm-learner (2.0.2-2stretch) stretch; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Sun, 28 Jun 2015 15:00:00 -0000

ros-lunar-pgm-learner (2.0.1-2stretch) stretch; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Fri, 19 Jun 2015 12:21:00 -0000

ros-lunar-pgm-learner (2.0.0-2stretch) stretch; urgency=high



 -- Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>  Fri, 19 Jun 2015 01:41:00 -0000

ros-lunar-pgm-learner (1.0.72-2stretch) stretch; urgency=high





=== debian/control ===
Source: ros-lunar-pgm-learner
Section: misc
Priority: extra
Maintainer: Yuki Furuta <furushchev@jsk.imi.i.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), python-scipy, ros-lunar-catkin, ros-lunar-message-generation, ros-lunar-rospy, ros-lunar-rostest
Homepage: 
Standards-Version: 3.9.2

Package: ros-lunar-pgm-learner
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-scipy, ros-lunar-message-runtime, ros-lunar-rospy
Description: Parameter/Structure Estimation and Inference for Bayesian Belief Network

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-pgm-learner//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
